Get Signup
curl --request GET \
--url https://www.referralloop.dev/api/v1/waitlists/{waitlistId}/signups/{signupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.referralloop.dev/api/v1/waitlists/{waitlistId}/signups/{signupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.referralloop.dev/api/v1/waitlists/{waitlistId}/signups/{signupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signup": {
"id": "789e0123-e89b-12d3-a456-426614174000",
"email": "user@example.com",
"name": "John Doe",
"position": 1,
"referral_code": "ABC123",
"referral_url": "https://www.referralloop.dev/w/product-launch?ref=ABC123",
"referral_count": 5,
"status": "waiting",
"created_at": "2024-01-15T10:00:00Z"
}
}Signups
Get Signup
Retrieve a specific signup by ID
GET
/
waitlists
/
{waitlistId}
/
signups
/
{signupId}
Get Signup
Authorizations
Use your API key as the bearer token. API keys can be generated in your dashboard.
Example: Authorization: Bearer pk_live_YOUR_API_KEY
Path Parameters
The ID of the waitlist
The ID of the signup
Response
Successful response
Show child attributes
Show child attributes
⌘I